/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;

import java.util.List;


/**
 * 案例执行总体情况 
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-21 10:29:37  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "案例执行总体情况 ")
public class MtCaseExecOverall implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_dirName = "dirName";
  public static final String KEY_planExec = "planExec";
  public static final String KEY_executed = "executed";
  public static final String KEY_pass = "pass";
  public static final String KEY_notPass = "notPass";
  public static final String KEY_unfinished = "unfinished";
  public static final String KEY_blockedExec = "blockedExec";
  public static final String KEY_invalid = "invalid";
  public static final String KEY_caseExecRate = "caseExecRate";
  public static final String KEY_casePassRate = "casePassRate";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_tenantId = "tenantId";

  /**
   * <br>
   */
  @ApiModelProperty("")
  private Long id;
  /**
   * 子节点目录名<br>
   */
  @ApiModelProperty("子节点目录名")
  @Size(max = 2000, message="子节点目录名-dirName: 数据长度不能 > 2000" )
  private String dirName;
  /**
   * 计划执行：目录计划执行的总数<br>
   */
  @ApiModelProperty("计划执行：目录计划执行的总数")
  private Integer planExec;
  /**
   * 已执行：通过+失败<br>
   */
  @ApiModelProperty("已执行：通过+失败")
  private Integer executed;
  /**
   * 通过<br>
   */
  @ApiModelProperty("通过")
  private Integer pass;
  /**
   * 未通过<br>
   */
  @ApiModelProperty("未通过")
  private Integer notPass;
  /**
   * 未完成<br>
   */
  @ApiModelProperty("未完成")
  private Integer unfinished;
  /**
   * 受阻执行<br>
   */
  @ApiModelProperty("受阻执行")
  private Integer blockedExec;
  /**
   * 案例执行率：已执行案例数/计划执行案例数<br>
   */
  @ApiModelProperty("案例执行率：已执行案例数/计划执行案例数")
  @Size(max = 10, message="案例执行率：已执行案例数/计划执行案例数-caseExecRate: 数据长度不能 > 10" )
  private String caseExecRate;
  /**
   * 案例通过率：执行通过的案例数/已执行案例数<br>
   */
  @ApiModelProperty("案例通过率：执行通过的案例数/已执行案例数")
  @Size(max = 10, message="案例通过率：执行通过的案例数/已执行案例数-casePassRate: 数据长度不能 > 10" )
  private String casePassRate;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 50, message="系统id-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;

  /**
   * 无效<br>
   */
  @ApiModelProperty("无效")
  private Integer invalid;

  private List<String> projectIds;

  public List<String> getProjectIds() {
    return projectIds;
  }

  public void setProjectIds(List<String> projectIds) {
    this.projectIds = projectIds;
  }

  public Integer getInvalid() {
    return invalid;
  }

  public void setInvalid(Integer invalid) {
    this.invalid = invalid;
  }

  /**
   * <br>
   */
  public Long getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(Long id)
  {
      this.id = id;
    }
  /**
   * 子节点目录名<br>
   */
  public String getDirName()
  {
      return dirName;
    }

  /**
   * 子节点目录名<br>
   *
   * @param dirName 子节点目录名
   */
  public void setDirName(String dirName)
  {
      this.dirName = dirName;
    }
  /**
   * 计划执行：目录计划执行的总数<br>
   */
  public Integer getPlanExec()
  {
      return planExec;
    }

  /**
   * 计划执行：目录计划执行的总数<br>
   *
   * @param planExec 计划执行：目录计划执行的总数
   */
  public void setPlanExec(Integer planExec)
  {
      this.planExec = planExec;
    }
  /**
   * 已执行：通过+失败<br>
   */
  public Integer getExecuted()
  {
      return executed;
    }

  /**
   * 已执行：通过+失败<br>
   *
   * @param executed 已执行：通过+失败
   */
  public void setExecuted(Integer executed)
  {
      this.executed = executed;
    }
  /**
   * 通过<br>
   */
  public Integer getPass()
  {
      return pass;
    }

  /**
   * 通过<br>
   *
   * @param pass 通过
   */
  public void setPass(Integer pass)
  {
      this.pass = pass;
    }
  /**
   * 未通过<br>
   */
  public Integer getNotPass()
  {
      return notPass;
    }

  /**
   * 未通过<br>
   *
   * @param notPass 未通过
   */
  public void setNotPass(Integer notPass)
  {
      this.notPass = notPass;
    }
  /**
   * 未完成<br>
   */
  public Integer getUnfinished()
  {
      return unfinished;
    }

  /**
   * 未完成<br>
   *
   * @param unfinished 未完成
   */
  public void setUnfinished(Integer unfinished)
  {
      this.unfinished = unfinished;
    }
  /**
   * 受阻执行<br>
   */
  public Integer getBlockedExec()
  {
      return blockedExec;
    }

  /**
   * 受阻执行<br>
   *
   * @param blockedExec 受阻执行
   */
  public void setBlockedExec(Integer blockedExec)
  {
      this.blockedExec = blockedExec;
    }
  /**
   * 案例执行率：已执行案例数/计划执行案例数<br>
   */
  public String getCaseExecRate()
  {
      return caseExecRate;
    }

  /**
   * 案例执行率：已执行案例数/计划执行案例数<br>
   *
   * @param caseExecRate 案例执行率：已执行案例数/计划执行案例数
   */
  public void setCaseExecRate(String caseExecRate)
  {
      this.caseExecRate = caseExecRate;
    }
  /**
   * 案例通过率：执行通过的案例数/已执行案例数<br>
   */
  public String getCasePassRate()
  {
      return casePassRate;
    }

  /**
   * 案例通过率：执行通过的案例数/已执行案例数<br>
   *
   * @param casePassRate 案例通过率：执行通过的案例数/已执行案例数
   */
  public void setCasePassRate(String casePassRate)
  {
      this.casePassRate = casePassRate;
    }
  /**
   * 系统id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统id<br>
   *
   * @param projectId 系统id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public MtCaseExecOverall()
  {
  }

}
